## haskell-snap-core 0.7.0.1

=== debian/changelog ===
haskell-snap-core (0.7.0.1-2) unstable; urgency=low

  * Bump to Standards-Version 3.9.3.
  * Patch to work with newer mwc-random.

 -- Clint Adams <clint@debian.org>  Mon, 05 Mar 2012 23:05:54 -0500

haskell-snap-core (0.7.0.1-1) unstable; urgency=low

  * Debianization generated by cabal-debian
  * ITP (Closes: #653540)

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Thu, 29 Dec 2011 16:17:51 +0900
