## haskell-snap-core 0.8.1

=== debian/changelog ===
haskell-snap-core (0.8.1-1build1) quantal; urgency=low

  * No-change rebuild for GHC 7.4.2

 -- Iain Lane <laney@ubuntu.com>  Sun, 26 Aug 2012 11:43:37 +0000

haskell-snap-core (0.8.1-1) unstable; urgency=low

  * New upstream release
    + Bumps mtl, transformers and MonadCatchIO-transformers dependency range

 -- Joachim Breitner <nomeata@debian.org>  Sun, 13 May 2012 12:22:40 +0200

haskell-snap-core (0.8.0.1-1) unstable; urgency=low

  * New upstream version.
  * Change the range of libghc-enumerator-dev, libghc-mwc-random-dev,
    and libghc-unordered-containers-dev version number.
  * Remove debian/patches because upstream support newew mwc-random.

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Sun, 15 Apr 2012 10:58:39 +0900
