=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libghc-hunit-dev (<< 2),
                libghc-hunit-prof,
                libghc-monadcatchio-transformers-dev (>= 0.2.1),
-               libghc-monadcatchio-transformers-dev (<< 0.3),
+               libghc-monadcatchio-transformers-dev (<< 0.4),
                libghc-monadcatchio-transformers-prof,
                libghc-attoparsec-dev (>= 0.10),
                libghc-attoparsec-dev (<< 0.11),
@@ -39,26 +39,28 @@
                libghc-dlist-dev (>= 0.5),
                libghc-dlist-dev (<< 0.6),
                libghc-dlist-prof,
-               libghc-enumerator-dev (>= 0.4.13.1),
+               libghc-enumerator-dev (>= 0.4.15),
                libghc-enumerator-dev (<< 0.5),
                libghc-enumerator-prof,
-               libghc-mtl-dev (>= 2.0) | libghc-mtl-dev (<< 2.1),
+               libghc-mtl-dev (>= 2.0),
+               libghc-mtl-dev (<< 2.2),
                libghc-mtl-prof,
                libghc-mwc-random-dev (>= 0.10),
-               libghc-mwc-random-dev (<< 0.12),
+               libghc-mwc-random-dev (<< 0.13),
                libghc-mwc-random-prof,
                libghc-regex-posix-dev (<= 0.95.2),
                libghc-regex-posix-prof,
                libghc-text-dev (>= 0.11),
                libghc-text-dev (<< 0.12),
                libghc-text-prof,
-               libghc-transformers-dev (>= 0.2) | libghc-transformers-dev (<< 0.3),
+               libghc-transformers-dev (>= 0.2),
+               libghc-transformers-dev (<< 0.4),
                libghc-transformers-prof,
                libghc-unix-compat-dev (>= 0.2),
                libghc-unix-compat-dev (<< 0.4),
                libghc-unix-compat-prof,
                libghc-unordered-containers-dev (>= 0.1.4.3),
-               libghc-unordered-containers-dev (<< 0.2),
+               libghc-unordered-containers-dev (<< 0.3),
                libghc-unordered-containers-prof,
                libghc-vector-dev (>= 0.6),
                libghc-vector-dev (<< 0.10),
