=== debian/control ===
--- 
+++ 
@@ -3,94 +3,81 @@
 Section: haskell
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Kiwamu Okabe <kiwamu@debian.or.jp>
-Build-Depends: debhelper (>= 7.0),
-               haskell-devscripts (>= 0.8),
+Build-Depends: debhelper (>= 9),
+               haskell-devscripts (>= 0.8.13),
                cdbs,
                ghc,
                ghc-prof,
+               libghc-attoparsec-dev (>= 0.10),
+               libghc-attoparsec-dev (<< 0.11),
+               libghc-attoparsec-prof,
+               libghc-attoparsec-enumerator-dev (>= 0.3),
+               libghc-attoparsec-enumerator-dev (<< 0.4),
+               libghc-attoparsec-enumerator-prof,
+               libghc-blaze-builder-dev (>= 0.2.1.4),
+               libghc-blaze-builder-dev (<< 0.4),
+               libghc-blaze-builder-prof,
+               libghc-blaze-builder-enumerator-dev (>= 0.2),
+               libghc-blaze-builder-enumerator-dev (<< 0.3),
+               libghc-blaze-builder-enumerator-prof,
+               libghc-case-insensitive-dev (>= 0.3),
+               libghc-case-insensitive-dev (<< 1.1),
+               libghc-case-insensitive-prof,
+               libghc-enumerator-dev (>= 0.4.15),
+               libghc-enumerator-dev (<< 0.5),
+               libghc-enumerator-prof,
                libghc-hunit-dev (>= 1.2),
                libghc-hunit-dev (<< 2),
                libghc-hunit-prof,
                libghc-monadcatchio-transformers-dev (>= 0.2.1),
                libghc-monadcatchio-transformers-dev (<< 0.4),
                libghc-monadcatchio-transformers-prof,
-               libghc-attoparsec-dev (>= 0.10),
-               libghc-attoparsec-dev (<< 0.11),
-               libghc-attoparsec-prof,
-               libghc-attoparsec-enumerator-dev (>= 0.3),
-               libghc-attoparsec-enumerator-dev (<< 0.4),
-               libghc-attoparsec-enumerator-prof,
-               libghc-base16-bytestring-dev (<= 0.2),
-               libghc-base16-bytestring-prof,
-               libghc-blaze-builder-dev (>= 0.2.1.4),
-               libghc-blaze-builder-dev (<< 0.4),
-               libghc-blaze-builder-prof,
-               libghc-blaze-builder-enumerator-dev (>= 0.2),
-               libghc-blaze-builder-enumerator-dev (<< 0.3),
-               libghc-blaze-builder-enumerator-prof,
-               libghc-bytestring-mmap-dev (>= 0.2.2),
-               libghc-bytestring-mmap-dev (<< 0.3),
-               libghc-bytestring-mmap-prof,
-               libghc-bytestring-nums-dev,
-               libghc-bytestring-nums-prof,
-               libghc-case-insensitive-dev (>= 0.3),
-               libghc-case-insensitive-dev (<< 0.5),
-               libghc-case-insensitive-prof,
-               libghc-dlist-dev (>= 0.5),
-               libghc-dlist-dev (<< 0.6),
-               libghc-dlist-prof,
-               libghc-enumerator-dev (>= 0.4.15),
-               libghc-enumerator-dev (<< 0.5),
-               libghc-enumerator-prof,
                libghc-mtl-dev (>= 2.0),
                libghc-mtl-dev (<< 2.2),
                libghc-mtl-prof,
-               libghc-mwc-random-dev (>= 0.10),
-               libghc-mwc-random-dev (<< 0.13),
-               libghc-mwc-random-prof,
-               libghc-regex-posix-dev (<= 0.95.2),
+               libghc-random-dev (>= 1),
+               libghc-random-dev (<< 2),
+               libghc-random-prof,
+               libghc-regex-posix-dev (>= 0.95),
+               libghc-regex-posix-dev (<= 1),
                libghc-regex-posix-prof,
                libghc-text-dev (>= 0.11),
                libghc-text-dev (<< 0.12),
                libghc-text-prof,
-               libghc-transformers-dev (>= 0.2),
-               libghc-transformers-dev (<< 0.4),
-               libghc-transformers-prof,
                libghc-unix-compat-dev (>= 0.2),
-               libghc-unix-compat-dev (<< 0.4),
+               libghc-unix-compat-dev (<< 0.5),
                libghc-unix-compat-prof,
                libghc-unordered-containers-dev (>= 0.1.4.3),
                libghc-unordered-containers-dev (<< 0.3),
                libghc-unordered-containers-prof,
                libghc-vector-dev (>= 0.6),
-               libghc-vector-dev (<< 0.10),
+               libghc-vector-dev (<< 0.11),
                libghc-vector-prof,
                libghc-zlib-enum-dev (>= 0.2.1),
                libghc-zlib-enum-dev (<< 0.3),
-               libghc-zlib-enum-prof
+               libghc-zlib-enum-prof,
+               libghc-bytestring-mmap-dev (>= 0.2.2),
+               libghc-bytestring-mmap-dev (<< 0.3),
+               libghc-bytestring-mmap-prof,
 Build-Depends-Indep: ghc-doc,
+                     libghc-attoparsec-doc,
+                     libghc-attoparsec-enumerator-doc,
+                     libghc-blaze-builder-doc,
+                     libghc-blaze-builder-enumerator-doc,
+                     libghc-case-insensitive-doc,
+                     libghc-enumerator-doc,
                      libghc-hunit-doc,
                      libghc-monadcatchio-transformers-doc,
-                     libghc-attoparsec-doc,
-                     libghc-attoparsec-enumerator-doc,
-                     libghc-base16-bytestring-doc,
-                     libghc-blaze-builder-doc,
-                     libghc-blaze-builder-enumerator-doc,
-                     libghc-bytestring-mmap-doc,
-                     libghc-bytestring-nums-doc,
-                     libghc-case-insensitive-doc,
-                     libghc-dlist-doc,
-                     libghc-enumerator-doc,
                      libghc-mtl-doc,
-                     libghc-mwc-random-doc,
+                     libghc-random-doc,
                      libghc-regex-posix-doc,
                      libghc-text-doc,
-                     libghc-transformers-doc,
                      libghc-unix-compat-doc,
                      libghc-unordered-containers-doc,
                      libghc-vector-doc,
-                     libghc-zlib-enum-doc
-Standards-Version: 3.9.3
+                     libghc-zlib-enum-doc,
+                     libghc-bytestring-mmap-doc,
+Standards-Version: 3.9.4
 Homepage: http://snapframework.com/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-snap-core
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-snap-core
