## haskell-snap-core 0.9.5.0

=== debian/changelog ===
haskell-snap-core (0.9.5.0-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 14 Dec 2013 12:56:35 -0500
