=== debian/control ===
--- 
+++ 
@@ -21,11 +21,14 @@
                libghc-blaze-builder-enumerator-dev (<< 0.3),
                libghc-blaze-builder-enumerator-prof,
                libghc-case-insensitive-dev (>= 0.3),
-               libghc-case-insensitive-dev (<< 1.1),
+               libghc-case-insensitive-dev (<< 1.2),
                libghc-case-insensitive-prof,
                libghc-enumerator-dev (>= 0.4.15),
                libghc-enumerator-dev (<< 0.5),
-               libghc-enumerator-prof,
+               libghc-enumerator-prof
+  , libghc-hashable-dev (>= 1.2.1)
+  , libghc-hashable-dev (<< 1.3)
+  , libghc-hashable-prof,
                libghc-hunit-dev (>= 1.2),
                libghc-hunit-dev (<< 2),
                libghc-hunit-prof,
@@ -65,7 +68,8 @@
                      libghc-blaze-builder-doc,
                      libghc-blaze-builder-enumerator-doc,
                      libghc-case-insensitive-doc,
-                     libghc-enumerator-doc,
+                     libghc-enumerator-doc
+  , libghc-hashable-doc,
                      libghc-hunit-doc,
                      libghc-monadcatchio-transformers-doc,
                      libghc-mtl-doc,
@@ -77,11 +81,10 @@
                      libghc-vector-doc,
                      libghc-zlib-enum-doc,
                      libghc-bytestring-mmap-doc,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://snapframework.com/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-snap-core
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-snap-core
-DM-Upload-Allowed: yes
 
 Package: libghc-snap-core-dev
 Architecture: any
