## haskell-snap-core 0.9.6.3

=== debian/changelog ===
haskell-snap-core (0.9.6.3-3build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Jun 2015 17:03:59 +0100

haskell-snap-core (0.9.6.3-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:53:33 +0200

haskell-snap-core (0.9.6.3-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:09 +0100

haskell-snap-core (0.9.6.3-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 22 Sep 2014 13:56:37 +0200
