=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Kiwamu Okabe <kiwamu@debian.or.jp>
 Build-Depends: debhelper (>= 9),
-               haskell-devscripts (>= 0.8.13),
+               haskell-devscripts (>= 0.9),
                cdbs,
                ghc,
                ghc-prof,
                libghc-attoparsec-dev (>= 0.10),
-               libghc-attoparsec-dev (<< 0.11),
+               libghc-attoparsec-dev (<< 0.13),
                libghc-attoparsec-prof,
                libghc-attoparsec-enumerator-dev (>= 0.3),
                libghc-attoparsec-enumerator-dev (<< 0.4),
@@ -21,7 +21,7 @@
                libghc-blaze-builder-enumerator-dev (<< 0.3),
                libghc-blaze-builder-enumerator-prof,
                libghc-case-insensitive-dev (>= 0.3),
-               libghc-case-insensitive-dev (<< 1.2),
+               libghc-case-insensitive-dev (<< 1.3),
                libghc-case-insensitive-prof,
                libghc-enumerator-dev (>= 0.4.15),
                libghc-enumerator-dev (<< 0.5),
@@ -36,7 +36,7 @@
                libghc-monadcatchio-transformers-dev (<< 0.4),
                libghc-monadcatchio-transformers-prof,
                libghc-mtl-dev (>= 2.0),
-               libghc-mtl-dev (<< 2.2),
+               libghc-mtl-dev (<< 2.3),
                libghc-mtl-prof,
                libghc-random-dev (>= 1),
                libghc-random-dev (<< 2),
@@ -45,7 +45,7 @@
                libghc-regex-posix-dev (<= 1),
                libghc-regex-posix-prof,
                libghc-text-dev (>= 0.11),
-               libghc-text-dev (<< 0.12),
+               libghc-text-dev (<< 1.2),
                libghc-text-prof,
                libghc-unix-compat-dev (>= 0.2),
                libghc-unix-compat-dev (<< 0.5),
