## haskell-snap-core 0.9.7.0

=== debian/changelog ===
haskell-snap-core (0.9.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 13:30:07 +0200
