=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libghc-attoparsec-enumerator-dev (<< 0.4),
                libghc-attoparsec-enumerator-prof,
                libghc-blaze-builder-dev (>= 0.2.1.4),
-               libghc-blaze-builder-dev (<< 0.4),
+               libghc-blaze-builder-dev (<< 0.5),
                libghc-blaze-builder-prof,
                libghc-blaze-builder-enumerator-dev (>= 0.2),
                libghc-blaze-builder-enumerator-dev (<< 0.3),
@@ -45,7 +45,7 @@
                libghc-regex-posix-dev (<= 1),
                libghc-regex-posix-prof,
                libghc-text-dev (>= 0.11),
-               libghc-text-dev (<< 1.2),
+               libghc-text-dev (<< 1.3),
                libghc-text-prof,
                libghc-unix-compat-dev (>= 0.2),
                libghc-unix-compat-dev (<< 0.5),
