## haskell-snap-core 0.9.7.2

=== debian/changelog ===
haskell-snap-core (0.9.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 18 Jul 2015 09:16:52 +0200
