=== debian/control ===
Source: haskell-snap-core
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Kiwamu Okabe <kiwamu@debian.or.jp>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-hunit-dev (>= 1.2),
 libghc-hunit-dev (<< 2),
 libghc-hunit-prof,
 libghc-monadcatchio-transformers-dev (>= 0.2.1),
 libghc-monadcatchio-transformers-dev (<< 0.4),
 libghc-monadcatchio-transformers-prof,
 libghc-attoparsec-dev (>= 0.10),
 libghc-attoparsec-dev (<< 0.14),
 libghc-attoparsec-prof,
 libghc-attoparsec-enumerator-dev (>= 0.3),
 libghc-attoparsec-enumerator-dev (<< 0.4),
 libghc-attoparsec-enumerator-prof,
 libghc-blaze-builder-dev (>= 0.2.1.4),
 libghc-blaze-builder-dev (<< 0.5),
 libghc-blaze-builder-prof,
 libghc-blaze-builder-enumerator-dev (>= 0.2),
 libghc-blaze-builder-enumerator-dev (<< 0.3),
 libghc-blaze-builder-enumerator-prof,
 libghc-bytestring-mmap-dev (>= 0.2.2),
 libghc-bytestring-mmap-dev (<< 0.3),
 libghc-bytestring-mmap-prof,
 libghc-case-insensitive-dev (>= 0.3),
 libghc-case-insensitive-dev (<< 1.3),
 libghc-case-insensitive-prof,
 libghc-enumerator-dev (>= 0.4.15),
 libghc-enumerator-dev (<< 0.5),
 libghc-enumerator-prof,
 libghc-hashable-dev,
 libghc-hashable-prof,
 libghc-mtl-dev (>= 2.0),
 libghc-mtl-dev (<< 2.3),
 libghc-mtl-prof,
 libghc-old-locale-dev (>= 1),
 libghc-old-locale-dev (<< 2),
 libghc-old-locale-prof,
 libghc-random-dev (>= 1),
 libghc-random-dev (<< 2),
 libghc-random-prof,
 libghc-regex-posix-dev (>= 0.95),
 libghc-regex-posix-dev (<< 1),
 libghc-regex-posix-prof,
 libghc-text-dev (>= 0.11),
 libghc-text-dev (<< 1.3),
 libghc-text-prof,
 libghc-unix-compat-dev (>= 0.2),
 libghc-unix-compat-dev (<< 0.5),
 libghc-unix-compat-prof,
 libghc-unordered-containers-dev (>= 0.1.4.3),
 libghc-unordered-containers-dev (<< 0.3),
 libghc-unordered-containers-prof,
 libghc-vector-dev (>= 0.6),
 libghc-vector-dev (<< 0.12),
 libghc-vector-prof,
 libghc-zlib-enum-dev (>= 0.2.1),
 libghc-zlib-enum-dev (<< 0.3),
 libghc-zlib-enum-prof,
Build-Depends-Indep: ghc-doc,
 libghc-hunit-doc,
 libghc-monadcatchio-transformers-doc,
 libghc-attoparsec-doc,
 libghc-attoparsec-enumerator-doc,
 libghc-blaze-builder-doc,
 libghc-blaze-builder-enumerator-doc,
 libghc-bytestring-mmap-doc,
 libghc-case-insensitive-doc,
 libghc-enumerator-doc,
 libghc-hashable-doc,
 libghc-mtl-doc,
 libghc-old-locale-doc,
 libghc-random-doc,
 libghc-regex-posix-doc,
 libghc-text-doc,
 libghc-unix-compat-doc,
 libghc-unordered-containers-doc,
 libghc-vector-doc,
 libghc-zlib-enum-doc,
Standards-Version: 3.9.6
Homepage: http://snapframework.com/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-snap-core-dev
Architecture: any
Depends: ${shlibs:Depends},
 ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Snap: A Haskell Web Framework (Core)
 Snap is a simple and fast web development framework and server written in
 Haskell. For more information or to download the latest version, you can
 visit the Snap project website at <http://snapframework.com/>.
 .
 This library contains the core definitions and types for the Snap framework,
 including:
 .
 1. Primitive types and functions for HTTP (requests, responses, cookies,
 post/query parameters, etc)
 .
 2. Type aliases and helper functions for Iteratee I/O
 .
 3. A monad for programming web handlers called \"Snap\", inspired by
 happstack's (<http://happstack.com/index.html>), which allows:
 .
 o Stateful access to the HTTP request and response objects
 .
 o Monadic failure (i.e. MonadPlus/Alternative instances) for declining
 to handle requests and chaining handlers together
 .
 o Early termination of the computation if you know early what you want
 to return and want to prevent further monadic processing
 .
 This package contains the normal library files.

Package: libghc-snap-core-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Snap: A Haskell Web Framework (Core); profiling libraries
 Snap is a simple and fast web development framework and server written in
 Haskell. For more information or to download the latest version, you can
 visit the Snap project website at <http://snapframework.com/>.
 .
 This library contains the core definitions and types for the Snap framework,
 including:
 .
 1. Primitive types and functions for HTTP (requests, responses, cookies,
 post/query parameters, etc)
 .
 2. Type aliases and helper functions for Iteratee I/O
 .
 3. A monad for programming web handlers called \"Snap\", inspired by
 happstack's (<http://happstack.com/index.html>), which allows:
 .
 o Stateful access to the HTTP request and response objects
 .
 o Monadic failure (i.e. MonadPlus/Alternative instances) for declining
 to handle requests and chaining handlers together
 .
 o Early termination of the computation if you know early what you want
 to return and want to prevent further monadic processing
 .
 This package contains the libraries compiled with profiling enabled.

Package: libghc-snap-core-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: Snap: A Haskell Web Framework (Core); documentation
 Snap is a simple and fast web development framework and server written in
 Haskell. For more information or to download the latest version, you can
 visit the Snap project website at <http://snapframework.com/>.
 .
 This library contains the core definitions and types for the Snap framework,
 including:
 .
 1. Primitive types and functions for HTTP (requests, responses, cookies,
 post/query parameters, etc)
 .
 2. Type aliases and helper functions for Iteratee I/O
 .
 3. A monad for programming web handlers called \"Snap\", inspired by
 happstack's (<http://happstack.com/index.html>), which allows:
 .
 o Stateful access to the HTTP request and response objects
 .
 o Monadic failure (i.e. MonadPlus/Alternative instances) for declining
 to handle requests and chaining handlers together
 .
 o Early termination of the computation if you know early what you want
 to return and want to prevent further monadic processing
 .
 This package contains the documentation files.
