=== debian/control ===
Source: haskell-snap-core
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Kiwamu Okabe <kiwamu@debian.or.jp>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-attoparsec-dev (<< 0.14),
 libghc-attoparsec-dev (>= 0.12),
 libghc-attoparsec-prof,
 libghc-case-insensitive-dev (<< 1.3),
 libghc-case-insensitive-dev (>= 1.1),
 libghc-case-insensitive-prof,
 libghc-hunit-dev (<< 2),
 libghc-hunit-dev (>= 1.2),
 libghc-hunit-prof,
 libghc-io-streams-dev (<< 1.4),
 libghc-io-streams-dev (>= 1.3),
 libghc-io-streams-prof,
 libghc-lifted-base-dev (<< 0.3),
 libghc-lifted-base-dev (>= 0.1),
 libghc-lifted-base-prof,
 libghc-monad-control-dev (<< 1.1),
 libghc-monad-control-dev (>= 1.0),
 libghc-monad-control-prof,
 libghc-mtl-dev (<< 2.3),
 libghc-mtl-dev (>= 2.0),
 libghc-mtl-prof,
 libghc-old-locale-dev (<< 2),
 libghc-old-locale-dev (>= 1),
 libghc-old-locale-prof,
 libghc-random-dev (<< 2),
 libghc-random-dev (>= 1),
 libghc-random-prof,
 libghc-readable-dev (<< 0.4),
 libghc-readable-dev (>= 0.1),
 libghc-readable-prof,
 libghc-regex-posix-dev (<< 1),
 libghc-regex-posix-dev (>= 0.95),
 libghc-regex-posix-prof,
 libghc-text-dev (<< 1.3),
 libghc-text-dev (>= 0.11),
 libghc-text-prof,
 libghc-transformers-base-dev (<< 0.5),
 libghc-transformers-base-dev (>= 0.4),
 libghc-transformers-base-prof,
 libghc-unix-compat-dev (<< 0.5),
 libghc-unix-compat-dev (>= 0.3),
 libghc-unix-compat-prof,
 libghc-unordered-containers-dev (<< 0.3),
 libghc-unordered-containers-dev (>= 0.1.4.3),
 libghc-unordered-containers-prof,
 libghc-vector-dev (<< 0.12),
 libghc-vector-dev (>= 0.6),
 libghc-vector-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-attoparsec-doc,
 libghc-case-insensitive-doc,
 libghc-hunit-doc,
 libghc-io-streams-doc,
 libghc-lifted-base-doc,
 libghc-monad-control-doc,
 libghc-mtl-doc,
 libghc-old-locale-doc,
 libghc-random-doc,
 libghc-readable-doc,
 libghc-regex-posix-doc,
 libghc-text-doc,
 libghc-transformers-base-doc,
 libghc-unix-compat-doc,
 libghc-unordered-containers-doc,
 libghc-vector-doc,
Standards-Version: 3.9.8
Homepage: http://snapframework.com/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-snap-core
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-snap-core-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Snap: A Haskell Web Framework (Core)
 Snap is a simple and fast web development framework and server written in
 Haskell. For more information or to download the latest version, you can
 visit the Snap project website at <http://snapframework.com/>.
 .
 This library contains the core definitions and types for the Snap framework,
 including:
 .
 1. Primitive types and functions for HTTP (requests, responses, cookies,
 post/query parameters, etc)
 .
 2. Type aliases and helper functions for Iteratee I/O
 .
 3. A monad for programming web handlers called \"Snap\", inspired by
 happstack's (<http://happstack.com/index.html>), which allows:
 .
 o Stateful access to the HTTP request and response objects
 .
 o Monadic failure (i.e. MonadPlus/Alternative instances) for declining
 to handle requests and chaining handlers together
 .
 o Early termination of the computation if you know early what you want
 to return and want to prevent further monadic processing
 .
 This package contains the normal library files.

Package: libghc-snap-core-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Snap: A Haskell Web Framework (Core); profiling libraries
 Snap is a simple and fast web development framework and server written in
 Haskell. For more information or to download the latest version, you can
 visit the Snap project website at <http://snapframework.com/>.
 .
 This library contains the core definitions and types for the Snap framework,
 including:
 .
 1. Primitive types and functions for HTTP (requests, responses, cookies,
 post/query parameters, etc)
 .
 2. Type aliases and helper functions for Iteratee I/O
 .
 3. A monad for programming web handlers called \"Snap\", inspired by
 happstack's (<http://happstack.com/index.html>), which allows:
 .
 o Stateful access to the HTTP request and response objects
 .
 o Monadic failure (i.e. MonadPlus/Alternative instances) for declining
 to handle requests and chaining handlers together
 .
 o Early termination of the computation if you know early what you want
 to return and want to prevent further monadic processing
 .
 This package contains the libraries compiled with profiling enabled.

Package: libghc-snap-core-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: Snap: A Haskell Web Framework (Core); documentation
 Snap is a simple and fast web development framework and server written in
 Haskell. For more information or to download the latest version, you can
 visit the Snap project website at <http://snapframework.com/>.
 .
 This library contains the core definitions and types for the Snap framework,
 including:
 .
 1. Primitive types and functions for HTTP (requests, responses, cookies,
 post/query parameters, etc)
 .
 2. Type aliases and helper functions for Iteratee I/O
 .
 3. A monad for programming web handlers called \"Snap\", inspired by
 happstack's (<http://happstack.com/index.html>), which allows:
 .
 o Stateful access to the HTTP request and response objects
 .
 o Monadic failure (i.e. MonadPlus/Alternative instances) for declining
 to handle requests and chaining handlers together
 .
 o Early termination of the computation if you know early what you want
 to return and want to prevent further monadic processing
 .
 This package contains the documentation files.
