## haskell-snap-core 1.0.2.1

=== debian/changelog ===
haskell-snap-core (1.0.2.1-2build5) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jul 2017 21:49:52 +0200

haskell-snap-core (1.0.2.1-2build4) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jul 2017 20:20:54 +0200

haskell-snap-core (1.0.2.1-2build3) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Jul 2017 19:53:22 +0200

haskell-snap-core (1.0.2.1-2build2) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Jul 2017 15:10:48 +0200

haskell-snap-core (1.0.2.1-2build1) artful; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Jun 2017 05:48:52 +0000

haskell-snap-core (1.0.2.1-2) unstable; urgency=medium

  * Fix build dependencies.  closes: #865038.

 -- Clint Adams <clint@debian.org>  Sun, 18 Jun 2017 20:22:35 -0400

haskell-snap-core (1.0.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 18 Jun 2017 02:12:28 -0400
