=== debian/control ===
--- 
+++ 
@@ -1,72 +1,130 @@
 Source: haskell-snap-core
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Kiwamu Okabe <kiwamu@debian.or.jp>,
 Priority: extra
 Section: haskell
-Build-Depends:
+Build-Depends: debhelper (>= 10),
+ haskell-devscripts-minimal | haskell-devscripts (>= 0.8),
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ ghc,
  ghc-prof,
- haskell-devscripts (>= 0.13),
+ libghc-hunit-dev (>= 1.2),
+ libghc-hunit-dev (<< 2),
+ libghc-hunit-prof (>= 1.2),
+ libghc-hunit-prof (<< 2),
+ libghc-attoparsec-dev (>= 0.12),
  libghc-attoparsec-dev (<< 0.14),
- libghc-attoparsec-dev (>= 0.12),
- libghc-attoparsec-prof,
+ libghc-attoparsec-prof (>= 0.12),
+ libghc-attoparsec-prof (<< 0.14),
+ libghc-case-insensitive-dev (>= 1.1),
  libghc-case-insensitive-dev (<< 1.3),
- libghc-case-insensitive-dev (>= 1.1),
- libghc-case-insensitive-prof,
- libghc-hunit-dev (<< 2),
- libghc-hunit-dev (>= 1.2),
- libghc-hunit-prof,
- libghc-io-streams-dev (<< 1.4),
+ libghc-case-insensitive-prof (>= 1.1),
+ libghc-case-insensitive-prof (<< 1.3),
+ libghc-hashable-dev (>= 1.2.0.6),
+ libghc-hashable-dev (<< 1.3),
+ libghc-hashable-prof (>= 1.2.0.6),
+ libghc-hashable-prof (<< 1.3),
  libghc-io-streams-dev (>= 1.3),
- libghc-io-streams-prof,
+ libghc-io-streams-dev (<< 1.5),
+ libghc-io-streams-prof (>= 1.3),
+ libghc-io-streams-prof (<< 1.5),
+ libghc-lifted-base-dev (>= 0.1),
  libghc-lifted-base-dev (<< 0.3),
- libghc-lifted-base-dev (>= 0.1),
- libghc-lifted-base-prof,
+ libghc-lifted-base-prof (>= 0.1),
+ libghc-lifted-base-prof (<< 0.3),
+ libghc-monad-control-dev (>= 1.0),
  libghc-monad-control-dev (<< 1.1),
- libghc-monad-control-dev (>= 1.0),
- libghc-monad-control-prof,
+ libghc-monad-control-prof (>= 1.0),
+ libghc-monad-control-prof (<< 1.1),
+ libghc-mtl-dev (>= 2.0),
  libghc-mtl-dev (<< 2.3),
- libghc-mtl-dev (>= 2.0),
- libghc-mtl-prof,
+ libghc-mtl-prof (>= 2.0),
+ libghc-mtl-prof (<< 2.3),
+ libghc-network-dev (>= 2.6),
+ libghc-network-dev (<< 2.7),
+ libghc-network-prof (>= 2.6),
+ libghc-network-prof (<< 2.7),
+ libghc-network-uri-dev (>= 2.6),
+ libghc-network-uri-dev (<< 2.7),
+ libghc-network-uri-prof (>= 2.6),
+ libghc-network-uri-prof (<< 2.7),
+ libghc-old-locale-dev (>= 1),
  libghc-old-locale-dev (<< 2),
- libghc-old-locale-dev (>= 1),
- libghc-old-locale-prof,
+ libghc-old-locale-prof (>= 1),
+ libghc-old-locale-prof (<< 2),
+ libghc-random-dev (>= 1),
  libghc-random-dev (<< 2),
- libghc-random-dev (>= 1),
- libghc-random-prof,
+ libghc-random-prof (>= 1),
+ libghc-random-prof (<< 2),
+ libghc-readable-dev (>= 0.1),
  libghc-readable-dev (<< 0.4),
- libghc-readable-dev (>= 0.1),
- libghc-readable-prof,
+ libghc-readable-prof (>= 0.1),
+ libghc-readable-prof (<< 0.4),
+ libghc-regex-posix-dev (>= 0.95),
  libghc-regex-posix-dev (<< 1),
- libghc-regex-posix-dev (>= 0.95),
- libghc-regex-posix-prof,
+ libghc-regex-posix-prof (>= 0.95),
+ libghc-regex-posix-prof (<< 1),
+ libghc-text-dev (>= 0.11),
  libghc-text-dev (<< 1.3),
- libghc-text-dev (>= 0.11),
- libghc-text-prof,
+ libghc-text-prof (>= 0.11),
+ libghc-text-prof (<< 1.3),
+ libghc-transformers-base-dev (>= 0.4),
  libghc-transformers-base-dev (<< 0.5),
- libghc-transformers-base-dev (>= 0.4),
- libghc-transformers-base-prof,
+ libghc-transformers-base-prof (>= 0.4),
+ libghc-transformers-base-prof (<< 0.5),
+ libghc-unix-compat-dev (>= 0.3),
  libghc-unix-compat-dev (<< 0.5),
- libghc-unix-compat-dev (>= 0.3),
- libghc-unix-compat-prof,
+ libghc-unix-compat-prof (>= 0.3),
+ libghc-unix-compat-prof (<< 0.5),
+ libghc-unordered-containers-dev (>= 0.1.4.3),
  libghc-unordered-containers-dev (<< 0.3),
- libghc-unordered-containers-dev (>= 0.1.4.3),
- libghc-unordered-containers-prof,
- libghc-vector-dev (<< 0.12),
+ libghc-unordered-containers-prof (>= 0.1.4.3),
+ libghc-unordered-containers-prof (<< 0.3),
  libghc-vector-dev (>= 0.6),
- libghc-vector-prof,
-Build-Depends-Indep:
- ghc-doc,
+ libghc-vector-dev (<< 0.13),
+ libghc-vector-prof (>= 0.6),
+ libghc-vector-prof (<< 0.13),
+ libghc-hunit-dev,
+ libghc-quickcheck2-dev (>= 2.3.0.2),
+ libghc-quickcheck2-dev (<< 3),
+ libghc-attoparsec-dev,
+ libghc-case-insensitive-dev,
+ libghc-hashable-dev,
+ libghc-io-streams-dev,
+ libghc-lifted-base-dev,
+ libghc-monad-control-dev,
+ libghc-mtl-dev,
+ libghc-parallel-dev (>= 3),
+ libghc-parallel-dev (<< 4),
+ libghc-random-dev,
+ libghc-readable-dev,
+ libghc-regex-posix-dev,
+ libghc-test-framework-dev (>= 0.8.0.3),
+ libghc-test-framework-dev (<< 0.9),
+ libghc-test-framework-hunit-dev (>= 0.2.7),
+ libghc-test-framework-hunit-dev (<< 0.4),
+ libghc-test-framework-quickcheck2-dev (>= 0.2.12.1),
+ libghc-test-framework-quickcheck2-dev (<< 0.4),
+ libghc-text-dev,
+ libghc-transformers-base-dev,
+ libghc-unix-compat-dev,
+ libghc-unordered-containers-dev,
+ libghc-vector-dev,
+ libghc-zlib-dev (>= 0.5),
+ libghc-zlib-dev (<< 0.7),
+Build-Depends-Indep: ghc-doc,
+ libghc-hunit-doc,
  libghc-attoparsec-doc,
  libghc-case-insensitive-doc,
- libghc-hunit-doc,
+ libghc-hashable-doc,
  libghc-io-streams-doc,
  libghc-lifted-base-doc,
  libghc-monad-control-doc,
  libghc-mtl-doc,
+ libghc-network-doc,
+ libghc-network-uri-doc,
  libghc-old-locale-doc,
  libghc-random-doc,
  libghc-readable-doc,
@@ -83,16 +141,12 @@
 
 Package: libghc-snap-core-dev
 Architecture: any
-Depends:
- ${haskell:Depends},
+Depends: ${haskell:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends:
- ${haskell:Recommends},
-Suggests:
- ${haskell:Suggests},
-Provides:
- ${haskell:Provides},
+Recommends: ${haskell:Recommends},
+Suggests: ${haskell:Suggests},
+Provides: ${haskell:Provides},
 Description: Snap: A Haskell Web Framework (Core)
  Snap is a simple and fast web development framework and server written in
  Haskell. For more information or to download the latest version, you can
@@ -121,15 +175,11 @@
 
 Package: libghc-snap-core-prof
 Architecture: any
-Depends:
- ${haskell:Depends},
+Depends: ${haskell:Depends},
  ${misc:Depends},
-Recommends:
- ${haskell:Recommends},
-Suggests:
- ${haskell:Suggests},
-Provides:
- ${haskell:Provides},
+Recommends: ${haskell:Recommends},
+Suggests: ${haskell:Suggests},
+Provides: ${haskell:Provides},
 Description: Snap: A Haskell Web Framework (Core); profiling libraries
  Snap is a simple and fast web development framework and server written in
  Haskell. For more information or to download the latest version, you can
@@ -159,13 +209,10 @@
 Package: libghc-snap-core-doc
 Architecture: all
 Section: doc
-Depends:
- ${haskell:Depends},
+Depends: ${haskell:Depends},
  ${misc:Depends},
-Recommends:
- ${haskell:Recommends},
-Suggests:
- ${haskell:Suggests},
+Recommends: ${haskell:Recommends},
+Suggests: ${haskell:Suggests},
 Description: Snap: A Haskell Web Framework (Core); documentation
  Snap is a simple and fast web development framework and server written in
  Haskell. For more information or to download the latest version, you can
